<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use \Teknisa\GER\Libraries\PHPMailer;
use Teknisa\PED\Controllers\TeknisaCrud;
use Teknisa\GER\Controllers\CrudController;
use Teknisa\PED\Modules\Pedidos\Services\Ped05300RecalculoPrecoPedidoService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
    
    class Ped05300RecalculoPrecoPedidoController extends TeknisaCrud {
        protected $environment;
        protected $RecalculoPrecoPedidoService;
        
        public function __construct($crudService, ParameterBag $parameterBag, $environment, $RecalculoPrecoPedidoService){
            $this->environment = $environment;
            $this->parameterBag = $parameterBag;
            $this->RecalculoPrecoPedidoService = $RecalculoPrecoPedidoService;
            parent::__construct($crudService, $parameterBag);
        }
        
        public function buscaPedRecalc (DTO\Request $request, DTO\Response $response){
               
             $row = $request->getRow();

            $dataSetRecalc = $this->RecalculoPrecoPedidoService->RecalPrecoPed($row);
            
            $response->addDataSet(new DataSet('dataSetRecalc', $dataSetRecalc));
            //$this->RecalculoPrecoPedidoService->RecalPrecoPed($row);
        }
        
    }

?>